package com.jw.app.homepage.action;

import org.apache.commons.lang3.StringUtils;

import com.gaowj.business.action.BasicAction;
import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.RequestUtils;

public class viewAction extends BasicAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7421539168852785110L;
	
    private String location = "";
    
    @Override
	public String execute() throws BusinessException {
    	String location = RequestUtils.getString(request, "location");
    	if(StringUtils.isEmpty(location)){
    		location="HomePage";
    		setLocation(location);
    	}
    	return SUCCESS;
    }

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}
    
    

	
}
